FPGA_LOAD(8)

NAME
fpga_load - Xorcom Astribank (xpp) firmware tool

SYNOPSIS
fpga_load [-g] [-r] [-v] -D {/proc/bus/usb|/dev/bus/usb}/BUS/DEV fpga_load [-g] [-v] -D {/proc/bus/usb|/dev/bus/usb}/BUS/DEV -I firmware.hex [-b dump.bin] [-i] fpga_load -h

DESCRIPTION
fpga_load loads the FPGA firmware to the Xorcom Astribank device. The syntax resembles that of fxload(8).

OPTIONS
-b dump.bin
    Before writing firmware, bump the processed binary file to dump.bin.
-D DEVICE
    Required. The device to read from/write to. On modern UDEV-based system this is usually /dev/bus/usb/bus_num/device_num, where bus_num and device_num are the first two numbers in the output of lsusb(8). On older systems that use usbfs, it is usually /proc/bus/usb/bus_num/device_num.
-r
    Reset the Astribank and renumerate its USB connection to power on product ID.
-g
    Dump all eeprom data to standard output.
-I fireware_file
    The firmware file to write to the device.
-i
    Show information about the firmware file (valid only with -I option). Example:

        ./FPGA_1151.hex: Version=3297 Checksum=58270 In particular, the calculated checksum should match the output of sum(1) on the binary firmware file generated by the -b option.
-v
    Increase verbosity. May be used multiple times.
-h
    Displays usage message.

SEE ALSO
fxload(8), lsusb(8)

AUTHOR
This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.